ReflectionClass::getMethods
ReflectionClass::getName
ReflectionClass
PHP Manual

# ReflectionClass::getModifiers

Gets modifiers

### Description

public int ReflectionClass::getModifiers ( void )

Returns a bitfield of the access modifiers for this class.

### Parameters

This function has no parameters.

### Return Values

Returns bitmask of modifier constants.

### See Also

- ReflectionClass::getProperties